package com.yc.education.service.impl;

import com.yc.education.mapper.AboutusMapper;
import com.yc.education.model.Aboutus;
import com.yc.education.service.AboutusService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


@Service
public class AboutusServiceImpl extends BaseService<Aboutus> implements AboutusService {

	@Autowired
	AboutusMapper aboutusMapper;

	@Override
	public List<Aboutus> getAboutus() {
		return aboutusMapper.getAboutus();
	}

	@Override
	public Aboutus getAboutusId(int id) {
		return aboutusMapper.getAboutusId(id);
	}

	@Override
	public void delAboutusId(int id) {
		aboutusMapper.deleteByPrimaryKey(id);
	}
}
